4

I was trying to get Apache 2.4.10 to do basic authentication (under HTTPS) as specified in a .htaccess file. I changed one directory's settings to AllowOverride all, and it started serving up nothing but plain vanilla 500 pages. Reverting that directory to AllowOverride none does not seem to have fixed things.

The errors I have found in the logs all seem to be interpreting the requested relative URL as an authorization username, and croaking:

[Wed Jun 22 20:34:00.565683 2016] [core:crit] [pid 24994] [client ____:51295] AH00025: configuration error: couldn't check user: /writing/icons/rublev_trinity_icon.gif, referer: ____

What does AH00025 mean? I've found a few pages like https://httpd.apache.org/docs/trunk/upgrading.html, but not a clear definition of the error code.

And what /etc/apache2/mods-enabled/auth* files do I want?

  • 1
    LoadModule authz_core_module modules/mod_authz_core.so ? – yagmoth555 Jun 22 '16 at 22:37
  • What is your operating system? What do you get running apachectl -t , if it is available to you ? – Colt Jun 23 '16 at 1:20
  • @yagmoth555 Thank you; could you restate your comment as an answer so I can accept it? Thanks, – Christos Hayward Jun 24 '16 at 0:54
  • @JonathanHayward done, and thanks for the feedback, glad it worked – yagmoth555 Jun 24 '16 at 1:03
7

Please load the module, it will resolve your issue;

LoadModule authz_core_module modules/mod_authz_core.so
| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.